Method: brands.agents.updateLaunch

  • The document provides information on how to update the launch information for an agent using a PATCH HTTP request.

  • The request URL uses gRPC Transcoding syntax and requires the agentLaunch.name path parameter.

  • The request can include an optional updateMask query parameter to specify which fields to update.

  • The request and response bodies contain an instance of the AgentLaunch resource.

Updates the launch information for an agent.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{agentLaunch.name=brands/*/agents/*/launch}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
agentLaunch.name

string

Required. The identifier for launch.

Query parameters

Parameters
updateMask

string (FieldMask format)

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AgentLaunch.

Response body

If successful, the response body contains an instance of AgentLaunch.